List Instances
get
/rpa/v1/instances
Gets a list of all Instances in a service instance.
Request
Query Parameters
-
displayName: string
Minimum Length:
1Maximum Length:50A filter to return only resources that match the entire display name given. -
identifier: string
flow identifier for listing instance (which is not required)
-
lifecycleState: string
A filter to return only resources their lifecycleState matches the given lifecycleState.
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:100 -
majorVersion: integer
A filter to return only resources that match the major version given.
-
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
projectId(required): string
Project identifier
-
sortBy: string
The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.Default Value:
TIME_CREATEDAllowed Values:[ "TIME_CREATED", "DISPLAY_NAME" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
A page of InstanceSummary objects.
Headers
-
opc-next-page:
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : InstanceCollection
Type:
objectResults of a instance search. Contains boh InstanceSummary items and other information, such as metadata.
Show Source
-
items(required): array
items
List of instances.
Nested Schema : items
Type:
arrayList of instances.
Show Source
-
Array of:
object InstanceSummary
Summary of the Instance.
Nested Schema : InstanceSummary
Type:
objectSummary of the Instance.
Show Source
-
areScreenshotsAllowed: boolean
Whether the screenshots needs to be allowed for the selected tracing levels
-
environmentDisplayName: string
Display name of the environment on which instance is created
-
environmentGroupDisplayName: string
Display name of the environment group on which instance is created
-
environmentGroupIdentifier: string
Environment Group Identifier on which the instance is run
-
environmentIdentifier: string
The identifier of the environment on which instance is created
-
executionSummary: string
The execution summary of the instance in json format
-
flowDisplayName: string
Display name of the flow on which instance is created
-
flowIdentifier(required): string
Unique flowIdentifier of the version of the Flow
-
id(required): string
Unique identifier of the instance resource, that is immutable on creation
-
isAiAssisted: boolean
Whether the instance was AI Assisted
-
isPurged: boolean
Whether the debug data has been purged as per the tracing levels selected
-
isTerminalState: boolean
is instance in terminal state or not.
-
lifecycleState(required): string
The current state of the Instance.
-
majorVersion: integer
Major version of the flow
-
projectId(required): string
Unique identifier of the Project
-
timeCreated(required): string
(date-time)
The time the the Instance was created. An RFC3339 formatted datetime string
-
timeEnd: string
(date-time)
The time the Instance was ended. An RFC3339 formatted datetime string
-
timeStart: string
(date-time)
The time the the Instance was started. An RFC3339 formatted datetime string
-
tracingLevel: string
Allowed Values:
[ "PROD", "AUDIT", "DEBUG" ]tracingLevel of this flow -
version(required): string
Unique version of the flow
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.